.TH XScreenSaver 1 "13-aug-92" "X Version 11"
.SH NAME
qix - bounce colored lines around a window
.SH SYNOPSIS
.B qix
[\-display \fIhost:display.screen\fP] [\-foreground \fIcolor\fP] [\-background \fIcolor\fP] [\-window] [\-root] [\-mono] [\-segments \fIint\fP] [\-spread \fIpixels\fP] [\-delay \fIusecs\fP] [\-color-shift \fIdegrees\fP] [\-random] [\-linear] [\-solid] [\-hollow]
.SH DESCRIPTION
The \fIqix\fP program bounces a series of line segments around its window.
.SH OPTIONS
.I qix
accepts the following options:
.TP 8
.B \-window
Draw on a newly-created window.  This is the default.
.TP 8
.B \-root
Draw on the root window.
.TP 8
.B \-mono 
If on a color display, pretend we're on a monochrome display.
.TP 8
.B \-segments integer
How many line segments should be drawn.  Default 50.
.TP 8
.B \-spread integer
How far apart the endpoints of one segment should be from the next.
Default 8.
.TP 8
.B \-delay microseconds
How much of a delay should be introduced between steps of the animation.
Default 25000, or about 0.025 seconds.
.TP 8
.B \-color-shift degrees
If on a color display, the color of the line segments will cycle through
the spectrum.  This specifies how far the hue of each segment should be
from the next, in degrees on the HSV wheel.  Default 3.
.TP 8
.B \-random
The \fIqix\fP will wander around the screen semi-randomly.  This is the
default.
.TP 8
.B \-linear
The opposite of \fI\-random\fP: the \fIqix\fP will travel in straight lines
until it reaches a wall, and then it will bounce.
.TP 8
.B \-solid
If this is specified, then the area between the line segments will be filled
in with the appropriate color, instead of the \fIqix\fP simply being composed
of one-pixel-wide line segments.  This option looks really good in color.
.TP 8
.B \-hollow
The opposite of \fI\-solid\fP; this is the default.
.SH ENVIRONMENT
.PP
.TP 8
.B DISPLAY
to get the default host and display number.
.TP 8
.B XENVIRONMENT
to get the name of a resource file that overrides the global resources
stored in the RESOURCE_MANAGER property.
.SH "SEE ALSO"
X(1),
xscreensaver(1)
.SH COPYRIGHT
Copyright 1992 by Jamie Zawinski.  Permission to use, copy, modify, 
distribute, and sell this software and its documentation for any purpose is 
hereby granted without fee, provided that the above copyright notice appear 
in all copies and that both that copyright notice and this permission notice
appear in supporting documentation.  No representations are made about the 
suitability of this software for any purpose.  It is provided "as is" without
express or implied warranty.
.SH AUTHOR
Jamie Zawinski <jwz@lucid.com>, 13-aug-92.
